### Hierarchy

- BaseFile
  - PrivateFile
  - BareFile

### Implements

- File

## Index

### Constructors

- constructor

### Properties

- content
- readOnly

### Methods

- put
- putDetailed
- updateContent

## Constructors

### constructor

- new BaseFile(content: FileContent): BaseFile

- - Defined in fs/base/file.ts:13

  #### Parameters

  - ##### content: FileContent

  #### Returns BaseFile

## Properties

### content

content: FileContent

Implementation of File.content

- Defined in fs/base/file.ts:10

### readOnly

readOnly: boolean

- Defined in fs/base/file.ts:11

## Methods

### put

- put(): Promise<CID>

- Implementation of File.put

  - Defined in fs/base/file.ts:18

  #### Returns Promise<CID>

### Abstract putDetailed

- putDetailed(): Promise<AddResult>

- Implementation of File.putDetailed

  - Defined in fs/base/file.ts:29

  #### Returns Promise<AddResult>

### updateContent

- updateContent(content: FileContent): Promise<BaseFile>

- Implementation of File.updateContent

  - Defined in fs/base/file.ts:23

  #### Parameters

  - ##### content: FileContent

  #### Returns Promise<BaseFile>

Generated using TypeDoc